### Enumeration

# ECal ComponentAlarmAction

#### Declaration

    enum ECal.ComponentAlarmAction

#### Description [src]

Alarm types.

#### Members

`E_CAL_COMPONENT_ALARM_NONE`

  None.

  - Value: `0`
  - Available since: 2.0
`E_CAL_COMPONENT_ALARM_AUDIO`

  Audio.

  - Value: `1`
  - Available since: 2.0
`E_CAL_COMPONENT_ALARM_DISPLAY`

  Display message.

  - Value: `2`
  - Available since: 2.0
`E_CAL_COMPONENT_ALARM_EMAIL`

  Email.

  - Value: `3`
  - Available since: 2.0
`E_CAL_COMPONENT_ALARM_PROCEDURE`

  Procedure.

  - Value: `4`
  - Available since: 2.0
`E_CAL_COMPONENT_ALARM_UNKNOWN`

  Unknown.

  - Value: `5`
  - Available since: 2.0